TechDraw CosmeticVertex/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/ru |Name/ru=Добавить вспомогательную вершину |Name=TechDraw_CosmeticVertex |MenuLocation=TechDraw → Добавить Вершин...")
(Updating to match new version of source page)
Line 19: Line 19:
}}
}}


<span id="Description"></span>
==Описание==
==Описание==


The Cosmetic Vertex tool adds a [[Glossary#V|Vertex]], which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for dimensioning.
The '''TechDraw CosmeticVertex''' tool adds a [[Glossary#V|Vertex]], which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for dimensioning.


[[Image:TechDraw_CosmeticVertex_Sample.png|300px]]
[[Image:TechDraw_CosmeticVertex_Sample.png|300px]]
{{Caption|Cosmetic Vertex used to create an otherwise impossible Dimension}}
{{Caption|Cosmetic Vertex used to create an otherwise impossible Dimension}}


<span id="Usage"></span>
==Применение==
==Применение==


Line 37: Line 39:
'''Note:''' You cannot change the location of the Cosmetic Vertex after it has been created. At the moment there is no other way than to delete it and creating a new one.
'''Note:''' You cannot change the location of the Cosmetic Vertex after it has been created. At the moment there is no other way than to delete it and creating a new one.


<span id="Properties"></span>
==Свойства==
==Свойства==


Cosmetic Vertices have no properties of their own, as they are no document objects. They share color and size settings with regular geometry vertices.
Cosmetic Vertices have no properties of their own, as they are no document objects. They share color and size settings with regular geometry vertices.


<span id="Scripting"></span>
==Программирование==
==Программирование==



Revision as of 08:31, 29 May 2023

Other languages:

Добавить вспомогательную вершину

Системное название
TechDraw_CosmeticVertex
Расположение в меню
TechDraw → Добавить Вершины → Добавить вспомогательную вершину
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Добавить вершины по центрам граней, Добавить 4-ре вершины по краям окружности

Описание

The TechDraw CosmeticVertex tool adds a Vertex, which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for dimensioning.

Cosmetic Vertex used to create an otherwise impossible Dimension

Применение

  1. Select a view in the drawing.
  2. Press the Add Cosmetic Vertex button
  3. A task dialog will open. It allows to set location of the Cosmetic Vertex either by picking a point or by entering an x,y-offset from the center of the selected view.
  4. To pick a position, press the button Point Picker. Click to a position in the view and subsequently press OK to create the point. To exit the point picking without creating a Cosmetic Vertex, press the Escape picking button in the dialog.

To delete a Cosmetic Vertex, select it and use the toolbar button Remove Cosmetic Object.

Note: You cannot change the location of the Cosmetic Vertex after it has been created. At the moment there is no other way than to delete it and creating a new one.

Свойства

Cosmetic Vertices have no properties of their own, as they are no document objects. They share color and size settings with regular geometry vertices.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

Cosmetic Vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)